## com.saxonica
Class CompileQuery

    java.lang.Object
      com.saxonica.CompileQuery

    public class CompileQuery

extends Object

This class provides a command line interface for compiling XQuery queries into Java code. Note that this class is delivered in the JAR file saxon9ee-qc.jar.

Constructor Summary
`CompileQuery()`

Method Summary
`static void` `main(String[] args)` Entry point from the command line
`void` `run(String[] args)` Run the query compiler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileQuery

    public CompileQuery()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Entry point from the command line

  Parameters:
    `args` - the command line arguments
  Throws:
    `Exception` - if any failre occurs

### run

    public void run(String[] args)
             throws Exception

  Run the query compiler

  Parameters:
    `args` - the command line arguments
  Throws:
    `Exception` - if any failure occurs

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.